NNG_HTTP_REQ_FREE(3http)

NAME
nng_http_req_free - free HTTP request structure

SYNOPSIS

    #include <nng/nng.h>
    #include <nng/supplemental/http/http.h>
    void nng_http_req_free(nng_http_req *req);

DESCRIPTION

The nng_http_req_free() function deallocates the HTTP request structure req entirely.

    Tip

    Instead of freeing and reallocating request structures, it is possible to reuse req with nng_http_req_reset().

RETURN VALUES

None.

ERRORS

None.

SEE ALSO

nng_http_req_alloc(3http), nng_http_req_reset(3http), nng(7)